declare namespace I18n {
  type LangType = 'zh-HK' | 'zh-CN'

  type Schema = {
    home_module: {
      agent_welcome_message: string
      agent_description: string
    }

    common_module: {
      cancel_btn_text: string
      confirm_btn_text: string
      prev_btn_text: string
      next_btn_text: string
      create: string
      delete: string
      login: string
      logout: string
      not_login_text: string
      login_now: string
      name: string
      desc: string
      publish_time_in: string
      modified_time: string
      is_open: string
      status: string
      publish: string
      published: string
      unpublished: string
      ai_generate: string
      regenerate: string
      config: string
      agent: string
      knowledge: string
      custom: string
      char: string
      upload: string
      uploading: string
      upload_success_message: string
      empty_data: string
      search_empty_data: string
      create_agent_btn_text: string
      copy_success_message: string
      delete_success_message: string
      save_success_message: string
      edit_success_message: string
      publish_success_message: string
      clear_success_message: string
      add_success_message: string

      dialogue_module: {
        continue_question_message: string
        empty_message_content: string
        question_input_placeholder: string
        generate_warning_message: string
        clear_message_popover_message: string
        clear_message_dialog_title: string
        clear_message_dialog_content: string
      }

      data_table_module: {
        action: string
        edit: string
        copy: string
        delete: string
        view: string
      }

      pagination_module: {
        page_no: string
        page_size: string
        page_unit: string
        total: string
        goto: string
      }
    }

    router_title_module: {
      login: string
      server_error: string
      universal: string
      home: string
      personal: string
      app_setting: string
      agent_application: string
      share_application: string
      knowledge: string
      upload_knowledge_document: string
      knowledge_document_list: string
      knowledge_document_detail: string
    }

    personal_space_module: {
      title: string
      create_btn_text: string

      tab_module: {
        agent_module: {
          agent_list_module: {
            search_agent_placeholder: string
            agent_title: string
            large_model: string
            agent_id: string
            agent_publish_status: string
            publish_status: string
            modified_time: string
            channel: string
            channel_popover_text: string
            agent_copy: string
            empty_agent_list: string
            search_empty_agent_list: string
            delete_agent_dialog_title: string
            delete_agent_dialog_content: string
          }
        }

        agent_setting_module: {
          modified: string
          auto_save_in: string
          update_publish_btn_text: string
          publish_btn_text: string
          please_finish_publish: string
          missing_agent_title_message: string
          missing_agent_desc_message: string

          agent_config_module: {
            stop_generate: string
            generating_config_message: string

            title: string
            ai_auto_config: string
            question_answer_model: string
            question_answer_model_desc: string
            generate_diversity: string
            accurate_mode: string
            balance_mode: string
            creative_mode: string
            topP: string
            topP_popover_message: string
            temperature: string
            temperature_popover_message: string
            communication_turn: string
            communication_turn_popover_message: string
            agent_setting: string
            base_info: string
            agent_title_input_placeholder: string
            agent_title_input_rule_message: string
            agent_desc_input_placeholder: string
            update_avatar: string
            agent_system_prompt: string
            agent_system_popover_message: string
            optimize_agent_system_prompt: string
            optimize_agent_system_popover_message: string
            agent_system_template: string
            agent_system_template_message: string
            agent_system_input_placeholder: string

            ability_expand: string
            knowledge: string
            knowledge_base: string
            knowledge_base_desc: string
            dialogue: string
            preamble: string
            preamble_input_placeholder: string
            featured_questions: string
            featured_questions_input_placeholder: string
            continuous_question: string
            continuous_question_popover_message: string
            continuous_question_default: string
            continuous_question_default_desc: string
            continuous_question_close: string
            continuous_question_close_desc: string

            preview: string

            avatar_oversize_message: string
            generate_format_error_message: string

            auto_config_modal_module: {
              modal_title: string
              generate_tip_message: string
              auto_config_input_placeholder: string
              cancel_btn_text: string
              random_generate_btn_text: string
            }

            optimize_system_modal_module: {
              modal_title: string
              confirm_btn_text: string
            }
          }

          agent_publish_module: {
            channel: string
            web_channel_name: string
            web_channel_desc: string
            access_page: string
            share_link: string
            copy_share_url_success_message: string
          }
        }

        knowledge_module: {
          search_knowledge_placeholder: string
          knowledge_name: string
          knowledge_desc: string
          delete_knowledge_dialog_content: string
          not_find_knowledge_message: string

          search_knowledge_document_placeholder: string
          knowledge_document_name: string
          knowledge_document_char_count: string
          knowledge_document_format: string
          view_knowledge_document_fragment: string
          training_knowledge_document: string
          empty_knowledge_document_list: string
          upload_knowledge_document_btn_text: string
          batch_delete_knowledge_document_btn_text: string
          not_find_knowledge_document_message: string

          create_knowledge_modal_title: string
          edit_knowledge_modal_title: string
          knowledge_name_input_placeholder: string
          knowledge_desc_input_placeholder: string
          knowledge_import_type_label: string
          knowledge_type_rule: string
          knowledge_name_rule: string
          knowledge_import_type_rule: string
          knowledge_document_text_type: string
          import_local_document_knowledge: string
          import_local_document_knowledge_desc: string

          segment: string
          auto_segment: string
          add_chunk_up_message: string
          add_chunk_down_message: string
          search_knowledge_chunk_placeholder: string
          add_knowledge_chunk_modal_title: string
          knowledge_chunk_content_input_placeholder: string
          knowledge_chunk_content_input_rule: string
          delete_knowledge_chunk_content_message: string

          upload_document_module: {
            segment_setting: string
            data_process: string
            process_success: string
            process_fail: string
            processed: string
            upload_action_tip_message: string
            upload_limit_tip_message: string
            empty_document_content_message: string
            upload_format_error_message: string
            upload_size_error_message: string
            upload_error_message: string
            default_segment_setting_title: string
            default_segment_setting_desc: string
            data_process_tip_message: string
          }
        }
      }
    }

    share_agent_module: {
      please: string
      after_action: string
      create_agent_dialogue_title: string
      create_agent_dialogue_content: string
      create_agent_dialogue_positive_text: string
    }
  }
}
